MyEclipse Forums
This thread has been locked & this forum has been archived.
Please post new topics to General Development
View previous topic Printable version Log in to check your private messages View next topic
Author Message
adrian.challinor
Post subject: Ubuntu 10.10, Myeclipse 9.0 - JSP, AJAX designer won't work  PostPosted: May 30, 2011 - 05:49 PM
Veteran Member
Veteran Member


Joined: Mar 25, 2005
Posts: 22

Clean install of Ubuntu 10.10, on AMD 64bit hardware. Clean install of MyEclipse for Spring 9. Brand new workspace.

Created a web project from the Wizard. Unable to view the WYSISYG design editor form the created jsp page.

I have tried:

1) export MOZILLA_FIVE_HOME=""
2) export MOZILLA_FIVE_HOME=/usr/lib/xulrunner-1.9.2.17
3) (part 2) + export LD_LIBRARY_PATH=$MOZILLA_FIVE_HOME:$LD_LIBRARY_PATH
4 (all of the above) + -Dlinux.experimental=true

None of these made any difference at all.

Script that starts myEclipse is:
Code:
#!/bin/sh
# --- APC 15/may/11 Unset the menuproxy to get eclipse menus back on Unity
#unset UBUNTU_MENUPROXY
#export UBUNTU_MENUPROXY=0

LOCN="/opt/Genuitec/MyEclipse for Spring 9/"

export GDK_NATIVE_WINDOWS=true
#export MOZILLA_FIVE_HOME=""
#cd "$LOCN"

export MOZILLA_FIVE_HOME=/usr/lib/xulrunner-1.9.2.17
export LD_LIBRARY_PATH=$MOZILLA_FIVE_HOME:$LD_LIBRARY_PATH

"${LOCN}myeclipseforspring" \
   -vmargs -Xms512m -Xmx1024M \
   -XX:MaxPermSize=1024M \
   -XX:ReservedCodeCacheSize=128m \
   -Dlinux.experimental=true


I am now at wits end. I remember this being a problem years ago, but moved away from web programming to server side apps. Then it didn't matter. Now I need a web application, and it does.

Was this never fixed????

Or is there some spell I need to cast (Moving to Windows 7 is NOT a valid response).
 
 View user's profile Send private message  
Reply with quote Back to top
Support-Brian
Post subject:   PostPosted: Jun 01, 2011 - 06:45 AM
Moderator
Moderator


Joined: Aug 21, 2004
Posts: 2585

Adrian,

What happens when you try to open the JSP page with the WYSIWYG editor? Sanity check, are you opening it with the Visual JSP designer (if you were not using it earlier, you may need to right click > open with > MyEclipse Visual JSP Designer).

I'm afraid due to changes in Linux distributions, especially the versions of Mozilla actually distributed with Linux and how your distribution is set up, in some cases these options may not work at all.

Unfortunately if you tried all these options and it did not work then I'm afraid I cannot suggest any other workaround at this time. We are working on alternate solutions for our web designer in MyEclipse 10.x.

I apologize for the inconvenience caused, please let me know if you need further clarifications.

_________________
Brian
MyEclipse Support
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
adrian.challinor
Post subject:   PostPosted: Jun 01, 2011 - 07:14 AM
Veteran Member
Veteran Member


Joined: Mar 25, 2005
Posts: 22

When I try to open the jsp page , using Right-Click -> Open With -> MyEclipse Visual JSP Designer, I get the message "The design view is unavailable because it conflicts with the platform web browser...." I have, as you can tell, read all the technical notices.

I am very disappointed that MyEclipse, having had this problem for many years (its like this first because a problem six years ago on this thread) that you have not prioritised this bug for attention and resolution. If it does not work on Ubuntu, then it would be more honest to say so.

Which Linux platfoms DO you know this works with? I can always create a virtual machine, but I really fail to see why I should try every possible distribution myself. Your own internal developers must have this working, so what do they use?
 
 View user's profile Send private message  
Reply with quote Back to top
adrian.challinor
Post subject:   PostPosted: Jun 01, 2011 - 10:59 PM
Veteran Member
Veteran Member


Joined: Mar 25, 2005
Posts: 22

I set out to find if there were any Linux Distributions that actually do work with the Designer view. The testing so far seems to indicate that when this is installed on the latest versions of Linux it is broken more often than not. All of this was done on clean installs, using AMD X64 virtual hardware. The version of MyEclipse For Spring was 0.9a installed using the offline installer. The 64bit option was chosen. No other software, beyond doing an update after install, was installed. MyEclipse was started using the command file above.

The test was to install MyEclipse. Start it up and wait until all updates had been applied. Create a new Web Project. Then open index.jsp from the web root.

Ubuntu 10.10 - Broken

Ubuntu 11.04 - Broken (but then its broken for quite a lot)

Fedora 15 - Broken - Got a strange message
Unhandled event loop exception
No more handles [ could not detect registered XULRunner to use]

I am guessing this has to do with Fedora-15 using /usr/lib74/xulrunner-2/



Oracle Linux R6 - Broken

Slackware 15.37 - Never managed to get X working, but I didn't exactly try hard

Mandriva 2010.2 - WORKING - well partially. The clean install of MyEclipse seems to think I have a debug session running.
"Design mode editing in this instance has been temporarily disabledbecause the javascript debugger is currently suspended. To re-enable design-mode
editing, please resume or complete your debugging session then re-open this file"

Mint 11 - Broken

Are there any more I should test? Of these only Mandriva showed a modicum of success but even that didn't really allow editing.

So I go back to my question: What Linux platform does MyEclipse endorse? What do you use internally?
 
 View user's profile Send private message  
Reply with quote Back to top
Support-Brian
Post subject:   PostPosted: Jun 22, 2011 - 10:06 AM
Moderator
Moderator


Joined: Aug 21, 2004
Posts: 2585

Adrian,

Sorry for the delayed response here, I thought I had replied by apparently not.

The stability on Linux 64 is not as good as Linux 32, internally we use Ubuntu 9 to test. I have specifically tested using Ubuntu 9.04.

As far as the overall state of the tools, as you can see from the need to specify linux.experimental=true, the tools are still experimental. This is due to the fact we have never been able to achieve a good level of stability with XULRunner on Linux due to technical reasons with the XULRunner builds and constantly changing Linux distributions with corresponding conflicts.

I'm sorry we weren't able to support you better and that this has remained in experimental mode for so long; going forward we are looking for alternative solutions to as Mozilla has too has ended support for embedded XULRunner, which is what we use in our Visual Designers.

_________________
Brian
MyEclipse Support
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 6 Hours
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.
View previous topic Printable version Log in to check your private messages View next topic
Powered by PNphpBB2 © 2003-2004 The PNphpBB Group
Credits